Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2230 - mod_perl should include PERL_STACKED_HANDLERS
Summary: mod_perl should include PERL_STACKED_HANDLERS
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_perl
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-17 10:39 UTC by damian
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 17:04:08 UTC


Attachments (Terms of Use)

Description damian 1999-04-17 10:39:48 UTC
I am using RH 5.9.7

mod_perl should include PERL_STACKED_HANDLERS, because
Apache::DBI uses it and that is a common combination.

The change is something like this:

%build
perl Makefile.PL \
        USE_APXS=1 \
        WITH_APXS=/usr/sbin/apxs \
        PERL_STACKED_HANDLERS \
        EVERYTHING = 1

Comment 1 damian 1999-04-18 11:34:59 UTC
while building my own rpm I found that PERL_STACKED_HANDLERS is
disabled by redhat in the mod_perl-1.16-rh.patch

Changelog says:
* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- disabled stacked_handlers.  They still seem busted!

is this still true ?

Comment 2 Preston Brown 1999-08-27 17:04:59 UTC
This was off for a long time because STACKED_HANDLERS had problems
when mod_perl was run as a DSO.  These problems seem to have been
corrected, so STACKED_HANDLERS will be enabled in mod_perl for the
next release.


Note You need to log in before you can comment on or make changes to this bug.